Create PAM Integrationpost https://sentinel.whitehatsec.com/api/pam_integrationCreates a new PAM integration configurationBody ParamsnamestringrequiredName for the PAM integration (must be unique per client)pam_endpointurirequiredPAM service endpoint URL (must start with http:// or https://)client_idintegerrequiredClient IDpam_auth_typestringenumrequiredPAM system typeBoundaryVaultAllowed:BoundaryVaultpam_authentication_methodstringenumrequiredAuthentication method. Required additional fields: token: none credentials: identifier, pam_authentication_method_id app_role: identifier, namespace tokencredentialsapp_roleAllowed:tokencredentialsapp_roleidentifier_secretstringrequiredRequired: API token (token), password (credentials), or Secret ID (app_role)identifierstringRequired for credentials (username/email) and app_role (role ID). Not used for tokenpam_authentication_method_idstringRequired for credentials only. Boundary auth method IDnamespacestringRequired for app_role only. Vault namespace pathResponses 201PAM integration created successfully 400Bad Request - Missing/invalid fields 403Forbidden - Access denied 404Not Found - Client or auth type not found 409Conflict - Name already exists 500Internal Server ErrorUpdated 4 months ago